<?php

namespace app\services\messages;

defined('BASEPATH') or exit('No direct script access allowed');

use app\services\messages\AbstractPopupMessage;

class StartTimersWithNoTasks extends AbstractPopupMessage
{
    public function isVisible(...$params)
    {
        $task_id  = $params[0]['task_id'];
        $timer_id = $params[0]['timer_id'];

        return $task_id != '0' && $timer_id == 1;
    }

    public function getMessage(...$params)
    {
        return 'First Timer Started!<br />
            <span style="font-size:26px;">Did you know that you can start a timer without task and assign the timer to task afterward?</span><br /><br /><img alt="timer-start" class="img-responsive center-block" src="data:image/png;base64,[encoded data, 15888 characters]">';
    }
}
